local WIT, core = ...

-- Vanilla

core.Data.Results.Farms.Ragefire = {
    Id = "RagefireChasm",
    NameMapId = core.Maps.RagefireChasm,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.Kalimdor.Orgrimmar },
    Results = {
        { Id = core.Items.Transmog.CurvedDagger, Quantity = 1 },
		{ Id = core.Items.Transmog.NativePants, Quantity = 1 },
		{ Id = core.Items.Transmog.ShadowWand, Quantity = 1 },
		{ Id = core.Items.Transmog.StaunchHammer, Quantity = 1 },
		{ Id = core.Items.Transmog.SturdyQuaterstaff, Quantity = 1 },
		{ Id = core.Items.Transmog.BattleChainVest, Quantity = 1 },
		{ Id = core.Items.Transmog.DwarvenHatchet, Quantity = 1 },
		{ Id = core.Items.Transmog.GrizzlyBuckler, Quantity = 1 },
		{ Id = core.Items.Transmog.GrizzlyPants, Quantity = 1 },
		{ Id = core.Items.Transmog.SpikedClub, Quantity = 1 },
		{ Id = core.Items.Transmog.TribalVest, Quantity = 1 },
		{ Id = core.Items.Transmog.AncestralWoollies, Quantity = 1 },
		{ Id = core.Items.Transmog.BarbaricClothBoots, Quantity = 1 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.CeremonialLeatherLoincloth },
    }
}

-- Deadmines

core.Data.Results.Farms.TheDeadMines = {
    Id = "TheDeadMines",
    NameMapId = core.Maps.TheDeadMines,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.EasternKingdoms.Westfall },
    Results = {
        { Id = core.Items.Transmog.HeavyShortBow, Quantity = 1 },
		{ Id = core.Items.Transmog.BirchwoodMaul, Quantity = 1 },
		{ Id = core.Items.Transmog.WillowBoots, Quantity = 1 },
		{ Id = core.Items.Transmog.BardsBelt, Quantity = 1 },
		{ Id = core.Items.Transmog.WillowBracers, Quantity = 1 },
		{ Id = core.Items.Transmog.BardsBracers, Quantity = 1 },
		{ Id = core.Items.Transmog.CadetVest, Quantity = 1 },
		{ Id = core.Items.Transmog.GypsyTunic, Quantity = 1 },
		{ Id = core.Items.Transmog.HuntingGloves, Quantity = 1 },
		{ Id = core.Items.Transmog.SimpleBritches, Quantity = 1 },
        { Id = core.Items.Transmog.SimpleRobe, Quantity = 1 },
		{ Id = core.Items.Transmog.SoldiersWristguards, Quantity = 1 },
		{ Id = core.Items.Transmog.VeteranGloves, Quantity = 1 },
		{ Id = core.Items.Transmog.WillowCape, Quantity = 1 },
		{ Id = core.Items.Transmog.TwinBladedAxe, Quantity = 1 },
		{ Id = core.Items.Transmog.VeteranLeggings, Quantity = 1 },
		{ Id = core.Items.Transmog.WillowGloves, Quantity = 1 },
		{ Id = core.Items.Transmog.BardsBoots, Quantity = 1 },
		{ Id = core.Items.Transmog.CadetLeggings, Quantity = 1 },
		{ Id = core.Items.Transmog.GypsyTrousers, Quantity = 1 },
		{ Id = core.Items.Transmog.HuntingPants, Quantity = 1 },
		{ Id = core.Items.Transmog.InscribedCloak, Quantity = 1 },
		{ Id = core.Items.Transmog.RaiderShortsword, Quantity = 1 },
		{ Id = core.Items.Transmog.SeersCape, Quantity = 1 },
		{ Id = core.Items.Transmog.BlackwaterCutlass, Quantity = 9 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.BlackenedDefiasGloves },
		{ Id = core.Items.Transmog.BlackwaterCutlass },
		{ Id = core.Items.Transmog.StonemasonCloak },
		{ Id = core.Items.Transmog.WeightedSap },
    }
}

-- Wailing Caverns

core.Data.Results.Farms.WailingCaverns = {
    Id = "WailingCaverns",
    NameMapId = core.Maps.WailingCaverns,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.Kalimdor.NorthernBarrens },
    Results = {
        { Id = core.Items.Transmog.RitualBelt, Quantity = 1 },
		{ Id = core.Items.Transmog.BloodspatteredLoincloth, Quantity = 1 },
		{ Id = core.Items.Transmog.EdgedBastardSword, Quantity = 1 },
		{ Id = core.Items.Transmog.FeralCord, Quantity = 1 },
		{ Id = core.Items.Transmog.FeralShoes, Quantity = 1 },
		{ Id = core.Items.Transmog.LupineVest, Quantity = 1 },
		{ Id = core.Items.Transmog.MysticsWoolies, Quantity = 1 },
		{ Id = core.Items.Transmog.ProspectorsMitts, Quantity = 1 },
		{ Id = core.Items.Transmog.BarbedClub, Quantity = 1 },
		{ Id = core.Items.Transmog.BrackwaterVest, Quantity = 1 },
		{ Id = core.Items.Transmog.MedicineStaff, Quantity = 1 },
		{ Id = core.Items.Transmog.NorthernShortsword, Quantity = 1 },
		{ Id = core.Items.Transmog.PaganCape, Quantity = 1 },
		{ Id = core.Items.Transmog.RitualBands, Quantity = 1 },
		{ Id = core.Items.Transmog.RigidCape, Quantity = 1 },
		{ Id = core.Items.Transmog.GruntsCape, Quantity = 1 },
		{ Id = core.Items.Transmog.WarKnife, Quantity = 1 },
		{ Id = core.Items.Transmog.GreenweaveBracers, Quantity = 1 },
		{ Id = core.Items.Transmog.RitualGloves, Quantity = 1 },
		{ Id = core.Items.Transmog.GlovesOfTheFang, Quantity = 1 },
		{ Id = core.Items.Transmog.LupineLeggings, Quantity = 1 },
		{ Id = core.Items.Transmog.FeralGloves, Quantity = 1 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.GlovesOfTheFang },
    }
}

-- Shadowfang Keep

core.Data.Results.Farms.Shadowfang = {
    Id = "ShadowfangKeep",
    NameMapId = core.Maps.ShadowfangKeep,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.EasternKingdoms.SilverpineForest },
    Results = {
        { Id = core.Items.Transmog.BuccanersBracers, Quantity = 3 },
		{ Id = core.Items.Transmog.HuntersMuzzleLoader, Quantity = 3 },
		{ Id = core.Items.Transmog.BuccaneersCape, Quantity = 3 },
		{ Id = core.Items.Transmog.BardsTunic, Quantity = 3 },
		{ Id = core.Items.Transmog.BanditBracers, Quantity = 3 },
		{ Id = core.Items.Transmog.WillowVest, Quantity = 3 },
		{ Id = core.Items.Transmog.InscribedLeatherGloves, Quantity = 3 },
		{ Id = core.Items.Transmog.SeersBelt, Quantity = 3 },
		{ Id = core.Items.Transmog.BuccaneersBoots, Quantity = 3 },
		{ Id = core.Items.Transmog.HookDagger, Quantity = 3 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.ShadowFang },
		{ Id = core.Items.Transmog.GuillotineAxe },
		{ Id = core.Items.Transmog.WitchingStave },
		{ Id = core.Items.Transmog.Facesmasher },
		{ Id = core.Items.Transmog.NightReaver },
		{ Id = core.Items.Transmog.BlackMalice },
    }
}

-- Blackfathom Depths

core.Data.Results.Farms.Blackfathom = {
    Id = "BlackfathomDeeps",
    NameMapId = core.Maps.BlackfathomDeeps,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.Kalimdor.Ashenvale },
    Results = {
        { Id = core.Items.Transmog.DwarvenMagestaff, Quantity = 1 },
		{ Id = core.Items.Transmog.GruntsPauldrons, Quantity = 1 },
		{ Id = core.Items.Transmog.HulkingGauntlets, Quantity = 1 },
		{ Id = core.Items.Transmog.SanguineSandals, Quantity = 1 },
		{ Id = core.Items.Transmog.WraglersBelt, Quantity = 1 },
		{ Id = core.Items.Transmog.OutrunnersChestguard, Quantity = 1 },
		{ Id = core.Items.Transmog.RaincallerCloak, Quantity = 1 },
		{ Id = core.Items.Transmog.RigidLeggings, Quantity = 1 },
		{ Id = core.Items.Transmog.OnyxClaymore, Quantity = 1 },
		{ Id = core.Items.Transmog.BatteringHammer, Quantity = 1 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.AxeoftheEnforcer },
		{ Id = core.Items.Transmog.TreeBarkJacket },
		{ Id = core.Items.Transmog.MartyrsChain },
		{ Id = core.Items.Transmog.Doomspike },
		{ Id = core.Items.Transmog.EvocatorsBlade },
		{ Id = core.Items.Transmog.OnyxClaymore },
		{ Id = core.Items.Transmog.Grimclaw },
		{ Id = core.Items.Transmog.CrestedScepter },
		{ Id = core.Items.Transmog.StaffOfTheFriar },
		{ Id = core.Items.Transmog.StaffOfTheBlessedSeer },
    }
}

--The Stockades

core.Data.Results.Farms.Stockades = {
    Id = "TheStockade",
    NameMapId = core.Maps.TheStockade,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.EasternKingdoms.StormwindCity },
    Results = {
        { Id = core.Items.Transmog.ScoutingTrousers, Quantity = 4 },
		{ Id = core.Items.Transmog.ShimmeringBoots, Quantity = 4 },
		{ Id = core.Items.Transmog.DefenderBoots, Quantity = 4 },
		{ Id = core.Items.Transmog.DefenderGauntlets, Quantity = 4 },
		{ Id = core.Items.Transmog.DefenderLeggings, Quantity = 4 },
		{ Id = core.Items.Transmog.DefenderTunic, Quantity = 4 },
		{ Id = core.Items.Transmog.DireWand, Quantity = 4 },
		{ Id = core.Items.Transmog.ForestLeatherBracers, Quantity = 4 },
		{ Id = core.Items.Transmog.RidgeCleaver, Quantity = 4 },
		{ Id = core.Items.Transmog.StoutBattlehammer, Quantity = 4 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.BuccaneersVest },
    }
}

--Gnomeregan

core.Data.Results.Farms.Gnomeregan = {
    Id = "Gnomeregan",
    NameMapId = core.Maps.Gnomeregan,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.EasternKingdoms.DunMorogh },
    Results = {
        { Id = core.Items.Transmog.IvyclothMantle, Quantity = 3 },
		{ Id = core.Items.Transmog.MagicianStaff, Quantity = 3 },
		{ Id = core.Items.Transmog.SilverThreadCuffs, Quantity = 3 },
		{ Id = core.Items.Transmog.AzorasWill, Quantity = 3 },
		{ Id = core.Items.Transmog.SilverThreadSash, Quantity = 3 },
		{ Id = core.Items.Transmog.BrightMantle, Quantity = 3 },
		{ Id = core.Items.Transmog.IvyclothSash, Quantity = 3 },
		{ Id = core.Items.Transmog.LambentScaleBreastplate, Quantity = 3 },
		{ Id = core.Items.Transmog.SagesBracers, Quantity = 3 },
		{ Id = core.Items.Transmog.SilverThreadCloak, Quantity = 3 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.MechbuildersOveralls },
		{ Id = core.Items.Transmog.HotshotPilotsGloves },
		{ Id = core.Items.Transmog.PetrolspillLeggings },
		{ Id = core.Items.Transmog.CaverndeepTrudgers },
		{ Id = core.Items.Transmog.HiTechSupergun },
		{ Id = core.Items.Transmog.Vibroblade },
		{ Id = core.Items.Transmog.OcillatingPowerHammer },
		{ Id = core.Items.Transmog.SuperchargerBattleAxe },
		{ Id = core.Items.Transmog.GizmotronMegachopper },
    }
}

--Scarlet Halls

core.Data.Results.Farms.Scarlet = {
    Id = "ScarletHalls",
    NameMapId = core.Maps.ScarletHalls,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.EasternKingdoms.TirisfalGlades },
    Results = {
        { Id = core.Items.Transmog.CobaltRing, Quantity = 4 },
		{ Id = core.Items.Transmog.SagesSash, Quantity = 4},
		{ Id = core.Items.Transmog.CavalierTwoHander, Quantity = 4 },
		{ Id = core.Items.Transmog.EmblazonedShoulders, Quantity = 4 },
		{ Id = core.Items.Transmog.SuperiorTunic, Quantity = 4 },
		{ Id = core.Items.Transmog.VikingSword, Quantity = 4 },
		{ Id = core.Items.Transmog.ScaledLeatherBracers, Quantity = 4 },
		{ Id = core.Items.Transmog.BattleforgeBoots, Quantity = 4 },
		{ Id = core.Items.Transmog.EmblazonedHat, Quantity = 4 },
		{ Id = core.Items.Transmog.ScaledLeatherBelt, Quantity = 4 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.Headsplitter },
		{ Id = core.Items.Transmog.AmysBlanket },
		{ Id = core.Items.Transmog.WatchmanPauldrons },
		{ Id = core.Items.Transmog.ClawoftheShadowmancer },
		{ Id = core.Items.Transmog.ForestTrackerEpaulets },
		{ Id = core.Items.Transmog.SparkleshellMantle },
		{ Id = core.Items.Transmog.BrawlerGloves },
		{ Id = core.Items.Transmog.YorgenBracers },
		{ Id = core.Items.Transmog.DeanshipClaymore },
		{ Id = core.Items.Transmog.BeazelsBasher },
    }
}

--Scarlet Monastary

core.Data.Results.Farms.Monastary = {
    Id = "ScarletMonastary",
    NameMapId = core.Maps.ScarletMonastary,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.EasternKingdoms.TirisfalGlades },
    Results = {
        { Id = core.Items.Transmog.SplittingHatchet, Quantity = 3 },
		{ Id = core.Items.Transmog.AcrobaticStaff, Quantity = 3 },
		{ Id = core.Items.Transmog.DurableHat, Quantity = 3 },
		{ Id = core.Items.Transmog.DurableShoulders, Quantity = 3 },
		{ Id = core.Items.Transmog.HerosBoots, Quantity = 3 },
		{ Id = core.Items.Transmog.HighCouncillorsCloak, Quantity = 3 },
		{ Id = core.Items.Transmog.HighCouncillorsSash, Quantity = 3 },
		{ Id = core.Items.Transmog.InfiltratorGloves, Quantity = 3 },
		{ Id = core.Items.Transmog.JungleNecklace, Quantity = 3 },
		{ Id = core.Items.Transmog.LeadenMace, Quantity = 3 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.ScarletBoots },
		{ Id = core.Items.Transmog.SunblazeCoif },
		{ Id = core.Items.Transmog.BeguilerRobes },
		{ Id = core.Items.Transmog.ChesterfallMusket },
		{ Id = core.Items.Transmog.CobaltCrusher },
		{ Id = core.Items.Transmog.ArchonChestpiece },
    }
}

--Razorfen Kraul

core.Data.Results.Farms.Kraul = {
    Id = "RazorfenKraul",
    NameMapId = core.Maps.RazorfenKraul,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.Kalimdor.SouthernBarrens },
    Results = {
        { Id = core.Items.Transmog.ThickScaleSabatons, Quantity = 3 },
		{ Id = core.Items.Transmog.ExplosiveShotgun, Quantity = 3 },
		{ Id = core.Items.Transmog.GeomancersCord, Quantity = 3 },
		{ Id = core.Items.Transmog.GhostwalkerPads, Quantity = 3},
		{ Id = core.Items.Transmog.LongRedwoodBow, Quantity = 3 },
		{ Id = core.Items.Transmog.BallastMaul, Quantity = 3 },
		{ Id = core.Items.Transmog.CutthroatsMantle, Quantity = 3 },
		{ Id = core.Items.Transmog.ResilientBoots, Quantity = 3 },
		{ Id = core.Items.Transmog.WickedChainChestpiece, Quantity = 3 },
		{ Id = core.Items.Transmog.RosofMoltenFire, Quantity = 3 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.StaffofShade },
		
		{ Id = core.Items.Transmog.MantleOfThieves },
		{ Id = core.Items.Transmog.WolfclawGloves },
		{ Id = core.Items.Transmog.AvengersArmor },
		{ Id = core.Items.Transmog.PugilistBracers },
		{ Id = core.Items.Transmog.PlainsRing },
		{ Id = core.Items.Transmog.Vendetta },
		{ Id = core.Items.Transmog.SwordofDecay },
		{ Id = core.Items.Transmog.Slaghammer },
		{ Id = core.Items.Transmog.PysansOldGreatsword },
    }
}

--Maraudon

core.Data.Results.Farms.Maraudon = {
    Id = "Maraudon",
    NameMapId = core.Maps.Maraudon,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.Kalimdor.Desolace },
    Results = {
        { Id = core.Items.Transmog.PillagersPauldrons, Quantity = 4 },
		{ Id = core.Items.Transmog.ThistlefurPants, Quantity = 4 },
		{ Id = core.Items.Transmog.SilksandBoots, Quantity = 4 },
		{ Id = core.Items.Transmog.Tigerbane, Quantity = 4 },
		{ Id = core.Items.Transmog.VitalTunic, Quantity = 4 },
		{ Id = core.Items.Transmog.Sparkleshell, Quantity = 4 },
		{ Id = core.Items.Transmog.EmbersilkCloak, Quantity = 4 },
		{ Id = core.Items.Transmog.GhostwalkerBelt, Quantity = 4 },
		{ Id = core.Items.Transmog.MaraudersBelt, Quantity = 4 },
		{ Id = core.Items.Transmog.VitalShoulders, Quantity = 4 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.WolffearHarness },
		{ Id = core.Items.Transmog.PoisonTippedBoneSpear },
		{ Id = core.Items.Transmog.DeadwoodSledge },
    }
}

--Razorfen Downs

core.Data.Results.Farms.Downs = {
    Id = "RazorfenDowns",
    NameMapId = core.Maps.RazorfenDowns,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.Kalimdor.SouthernBarrens },
    Results = {
        { Id = core.Items.Transmog.SpiritchaserStaff, Quantity = 3 },
		{ Id = core.Items.Transmog.TravelersBackpack, Quantity = 3 },
		{ Id = core.Items.Transmog.TyrantsEpaulets, Quantity = 3 },
		{ Id = core.Items.Transmog.WindchaserAmice, Quantity = 3 },
		{ Id = core.Items.Transmog.WindchaserHandguards, Quantity = 3 },
		{ Id = core.Items.Transmog.BrutishArmguards, Quantity = 3 },
		{ Id = core.Items.Transmog.DarkmistGirdle, Quantity = 3 },
		{ Id = core.Items.Transmog.SniperRifle, Quantity = 3 },
		{ Id = core.Items.Transmog.WardensWoolies, Quantity = 3 },
		{ Id = core.Items.Transmog.AncientDefender, Quantity = 3 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.QuillwardHarness },
		
		{ Id = core.Items.Transmog.DeathsHeadVestment },
		{ Id = core.Items.Transmog.ThoughtcastBoots },
		{ Id = core.Items.Transmog.Corpseshroud },
		{ Id = core.Items.Transmog.BriarTredders },
		{ Id = core.Items.Transmog.StormgaleFists },
		{ Id = core.Items.Transmog.Quillshooter },
		{ Id = core.Items.Transmog.EbonyBoneclub },
		{ Id = core.Items.Transmog.Boneslasher },
		{ Id = core.Items.Transmog.Manslayer },
		{ Id = core.Items.Transmog.FreezingShard },
    }
}

--Scholomace

core.Data.Results.Farms.Scholomace = {
    Id = "Scholomace",
    NameMapId = core.Maps.Scholomace,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.EasternKingdoms.WesternPlaguelands },
    Results = {
        { Id = core.Items.Transmog.MistscapeGloves, Quantity = 3 },
		{ Id = core.Items.Transmog.ImperialCloak, Quantity = 3 },
		{ Id = core.Items.Transmog.JazeraintHelm, Quantity = 3 },
		{ Id = core.Items.Transmog.ChiefBrigadierArmor, Quantity = 3 },
		{ Id = core.Items.Transmog.HuntsmansShoulders, Quantity = 3 },
		{ Id = core.Items.Transmog.NoblesBrand, Quantity = 3 },
		{ Id = core.Items.Transmog.RegalBoots, Quantity = 3 },
		{ Id = core.Items.Transmog.AuroraArmor, Quantity = 3 },
		{ Id = core.Items.Transmog.MonksStaff, Quantity = 3 },
		{ Id = core.Items.Transmog.RangerCord, Quantity = 3 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.StaffofJordan },
		
		{ Id = core.Items.Transmog.ColdstoneSlippers },
		{ Id = core.Items.Transmog.TatteredLeatherHood },
		{ Id = core.Items.Transmog.IcyTombSpaulders },
    }
}

--Ulduman

core.Data.Results.Farms.Ulduman = {
    Id = "Ulduman",
    NameMapId = core.Maps.Ulduman,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.EasternKingdoms.Badlands },
    Results = {
        { Id = core.Items.Transmog.StoneHammer, Quantity = 4 },
		{ Id = core.Items.Transmog.ConjurersBreeches, Quantity = 4 },
		{ Id = core.Items.Transmog.KnightlyLongsword, Quantity = 4 },
		{ Id = core.Items.Transmog.SorcererSash, Quantity = 4 },
		{ Id = core.Items.Transmog.KnightsLegguards, Quantity = 4 },
		{ Id = core.Items.Transmog.AuroraGloves, Quantity = 4 },
		{ Id = core.Items.Transmog.SavageAxe, Quantity = 4 },
		{ Id = core.Items.Transmog.GlyphedHelm, Quantity = 4 },
		{ Id = core.Items.Transmog.ArchersJerkin, Quantity = 4 },
		{ Id = core.Items.Transmog.SmoostboreGun, Quantity = 4 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.PendulumofDoom },
		
		{ Id = core.Items.Transmog.EnergyCloak },
		{ Id = core.Items.Transmog.MinersHatoftheDeep },
		{ Id = core.Items.Transmog.PapalFez },
		{ Id = core.Items.Transmog.SpirewindFetter },
		{ Id = core.Items.Transmog.AdventurersPithHelmet },
		{ Id = core.Items.Transmog.SpauldersoftheLostAge },
		{ Id = core.Items.Transmog.LegguardsoftheVault },
		{ Id = core.Items.Transmog.MonolithicBow },
		{ Id = core.Items.Transmog.StonevaultShiv },
		{ Id = core.Items.Transmog.ShadowforgeBushmaster },
		{ Id = core.Items.Transmog.BeaconofHope },
		{ Id = core.Items.Transmog.Digmaster5000 },
		{ Id = core.Items.Transmog.ExcavatorsBrand },
		{ Id = core.Items.Transmog.StonevaultBonebreaker },
		{ Id = core.Items.Transmog.AnnealedBlade },
		{ Id = core.Items.Transmog.GinnSuSword },
		{ Id = core.Items.Transmog.ObsidianCleaver },
		{ Id = core.Items.Transmog.TheJackhammer },
		{ Id = core.Items.Transmog.TheShoveler },
		{ Id = core.Items.Transmog.EarthenRod },
    }
}

--Dire Maul

core.Data.Results.Farms.Dire = {
    Id = "DireMaul",
    NameMapId = core.Maps.DireMaul,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.Kalimdor.Feralas },
    Results = {
        { Id = core.Items.Transmog.NocturnalTunic, Quantity = 3 },
		{ Id = core.Items.Transmog.MonstrousWarAxe, Quantity = 3 },
		{ Id = core.Items.Transmog.RazorBlade, Quantity = 3 },
		{ Id = core.Items.Transmog.DarkmistMantle, Quantity = 3 },
		{ Id = core.Items.Transmog.EbonScimitar, Quantity = 3 },
		{ Id = core.Items.Transmog.BonelinkCape, Quantity = 3 },
		{ Id = core.Items.Transmog.ExquisiteFlamberge, Quantity = 3 },
		{ Id = core.Items.Transmog.HeadstrikerSword, Quantity = 3 },
		{ Id = core.Items.Transmog.SilksandCirclet, Quantity = 3 },
		{ Id = core.Items.Transmog.SteadfastShoulders, Quantity = 3 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.OrphicBracers },
		
		{ Id = core.Items.Transmog.ElementalRaiment },
		{ Id = core.Items.Transmog.PhasingBoots },
		{ Id = core.Items.Transmog.StonebarkGauntlets },
		{ Id = core.Items.Transmog.UnbridledLeggings },
		{ Id = core.Items.Transmog.EidolonTalisman },
		{ Id = core.Items.Transmog.WandofArcanePotency },
    }
}

--Zul' Farrak

core.Data.Results.Farms.Farrak = {
    Id = "ZulFarrak",
    NameMapId = core.Maps.ZulFarrak,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.Kalimdor.Tanaris },
    Results = {
        { Id = core.Items.Transmog.KhansBelt, Quantity = 4 },
		{ Id = core.Items.Transmog.LunarLeggings, Quantity = 4 },
		{ Id = core.Items.Transmog.LunarCoronet, Quantity = 4 },
		{ Id = core.Items.Transmog.VenomshroudMantle, Quantity = 4 },
		{ Id = core.Items.Transmog.GiganticWarAxe, Quantity = 4 },
		{ Id = core.Items.Transmog.Dreadblade, Quantity = 4 },
		{ Id = core.Items.Transmog.EbonclawReaver, Quantity = 4 },
		{ Id = core.Items.Transmog.BloodforgedGauntlets, Quantity = 4 },
		{ Id = core.Items.Transmog.BloodforgedShoulderPads, Quantity = 4 },
		{ Id = core.Items.Transmog.JadeBelt, Quantity = 4 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.GloriousLegplates },
		
		{ Id = core.Items.Transmog.BlackmetalCape },
		{ Id = core.Items.Transmog.SpellshockLeggings },
		{ Id = core.Items.Transmog.RunedRing },
		{ Id = core.Items.Transmog.Brainlash },
		{ Id = core.Items.Transmog.Gutwrencher },
		{ Id = core.Items.Transmog.BloodletterScalpel },
		{ Id = core.Items.Transmog.TheMinotaur },
		{ Id = core.Items.Transmog.Eyegouger },
		{ Id = core.Items.Transmog.WitchDoctorsCane },
		{ Id = core.Items.Transmog.FlamingIncinerator },
		{ Id = core.Items.Transmog.TrollProtector },
    }
}

--Stratholme

core.Data.Results.Farms.Stratholme = {
    Id = "Stratholme",
    NameMapId = core.Maps.Stratholme,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.EasternKingdoms.EasternPlaguelands },
    Results = {
        { Id = core.Items.Transmog.RoyalMallet, Quantity = 5 },
		{ Id = core.Items.Transmog.ImperialRedSash, Quantity = 5 },
		{ Id = core.Items.Transmog.SuskwovenTurban, Quantity = 5 },
		{ Id = core.Items.Transmog.TuskerSword, Quantity = 5},
		{ Id = core.Items.Transmog.ChromiteChestpiece, Quantity = 5 },
		{ Id = core.Items.Transmog.GothicPlateArmor, Quantity = 5},
		{ Id = core.Items.Transmog.HibernalMantle, Quantity = 5 },
		{ Id = core.Items.Transmog.IvoryWand, Quantity = 5 },
		{ Id = core.Items.Transmog.RevenantBoots, Quantity = 5 },
		{ Id = core.Items.Transmog.TrackersTunic, Quantity = 5},
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.StratholmeMilitiaShoulderguard },
		
		{ Id = core.Items.Transmog.GraciousCape },
		{ Id = core.Items.Transmog.JunosShadow },
		{ Id = core.Items.Transmog.SacredClothLeggings },
		{ Id = core.Items.Transmog.PlaguebatFurGloves },
		{ Id = core.Items.Transmog.PlaguehoundLeggings },
		{ Id = core.Items.Transmog.PlatedFistofHakoo },
		{ Id = core.Items.Transmog.MorlunesBracer },
    }
}

--Sunken Temple

core.Data.Results.Farms.Sunken = {
    Id = "TheTempleOfAtalHakkar",
    NameMapId = core.Maps.TheTempleOfAtalHakkar,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.EasternKingdoms.SwampOfSorrows },
    Results = {
        { Id = core.Items.Transmog.MysticalGloves, Quantity = 2 },
		{ Id = core.Items.Transmog.MysticalBracers, Quantity = 2 },
		{ Id = core.Items.Transmog.SwashbucklersBoots, Quantity = 2 },
		{ Id = core.Items.Transmog.TemplarBoots, Quantity = 2 },
		{ Id = core.Items.Transmog.CrusadersBoots, Quantity = 2 },
		{ Id = core.Items.Transmog.AlabasterPlatePauldrons, Quantity = 2 },
		{ Id = core.Items.Transmog.SerpentskinLeggings, Quantity = 2 },
		{ Id = core.Items.Transmog.Backbreaker, Quantity = 2 },
		{ Id = core.Items.Transmog.SiegeBow, Quantity = 2 },
		{ Id = core.Items.Transmog.WidowBlade, Quantity = 2 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.Stealthblade },
		
		{ Id = core.Items.Transmog.SoulcatcherHalo },
		{ Id = core.Items.Transmog.MistwalkerBoots },
		{ Id = core.Items.Transmog.MurkwaterGauntlets },
		{ Id = core.Items.Transmog.SilvershellLeggings },
		{ Id = core.Items.Transmog.WintersBite },
		{ Id = core.Items.Transmog.Deathblow },
		{ Id = core.Items.Transmog.Ragehammer },
		{ Id = core.Items.Transmog.BludgeonoftheGrinningDog },
		{ Id = core.Items.Transmog.StingingBow },
    }
}

--Blackrock Depths

core.Data.Results.Farms.Blackrock = {
    Id = "BlackrockDepths",
    NameMapId = core.Maps.BlackrockDepths,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.EasternKingdoms.BlackrockMountain },
    Results = {
        { Id = core.Items.Transmog.HarpyNeedler, Quantity = 3 },
		{ Id = core.Items.Transmog.RuneSword, Quantity = 3 },
		{ Id = core.Items.Transmog.RevenantHelmet, Quantity = 3 },
		{ Id = core.Items.Transmog.RevenantShoulders, Quantity = 3 },
		{ Id = core.Items.Transmog.VorpalDagger, Quantity = 3 },
		{ Id = core.Items.Transmog.RighteousSpaulders, Quantity = 3 },
		{ Id = core.Items.Transmog.DuskwovenTurban, Quantity = 3 },
		{ Id = core.Items.Transmog.RighteousBoots, Quantity = 3 },
		{ Id = core.Items.Transmog.RighteousGloves, Quantity = 3 },
		{ Id = core.Items.Transmog.CabalistChestpiece, Quantity = 3 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.BattlechasersGreaves },
		
		{ Id = core.Items.Transmog.BlisterbaneWrap },
		{ Id = core.Items.Transmog.StoneshieldCloak },
		{ Id = core.Items.Transmog.FuneralPyreVestment },
		{ Id = core.Items.Transmog.MarAlomsGrip },
		{ Id = core.Items.Transmog.Braincage },
		{ Id = core.Items.Transmog.SearingNeedle },
		{ Id = core.Items.Transmog.DoomforgedStraightedge },
		{ Id = core.Items.Transmog.Ribsplitter },
		{ Id = core.Items.Transmog.TheJudgesGavel },
		{ Id = core.Items.Transmog.SpireoftheStoneshaper },
    }
}

--Lower Blackrock Spire

core.Data.Results.Farms.Spire = {
    Id = "LowerBlackrockSpire",
    NameMapId = core.Maps.LowerBlackrockSpire,
    Content = core.Content.Vanilla,
    Locations = { core.Locations.EasternKingdoms.BlackrockMountain },
    Results = {
        { Id = core.Items.Transmog.MasterworkCape, Quantity = 3 },
		{ Id = core.Items.Transmog.Painbringer, Quantity = 3 },
		{ Id = core.Items.Transmog.ElegantBracers, Quantity = 3 },
		{ Id = core.Items.Transmog.GlowstarRod, Quantity = 3 },
		{ Id = core.Items.Transmog.ArcaneCover, Quantity = 3 },
		{ Id = core.Items.Transmog.OrnateBreastplate, Quantity = 3 },
		{ Id = core.Items.Transmog.EngravedBoots, Quantity = 3 },
		{ Id = core.Items.Transmog.ElegantBelt, Quantity = 3 },
		{ Id = core.Items.Transmog.NightshadeGloves, Quantity = 3 },
		{ Id = core.Items.Transmog.TemplarLegplates, Quantity = 3 },
    },
    ItemsOfNote = {
        { Id = core.Items.Transmog.StockadePauldrons },
		{ Id = core.Items.Transmog.RobeoftheArchmage },
    }
}

















































