local WIT, core = ...

core.Data.Routes.Cloth = {}

core.Data.Routes.Cloth.LinenWoolClothWetlands = {
    Name = "RouteLinenWoolCloth",
    MapId = core.Maps.Wetlands,
    Data = {
	    ["color"] = {
		    0.9568627450980391, -- [1]
		    0.03137254901960784, -- [2]
		    1, -- [3]
		    1, -- [4]
	    },
	    ["length"] = 7263.176366946669,
	    ["route"] = {
		    66424212, -- [1]
		    67684923, -- [2]
		    63684907, -- [3]
		    61394377, -- [4]
	    },
    }
}

core.Data.Routes.Cloth.SilkClothDustwallowMarsh = {
    Name = "RouteSilkCloth",
    MapId = core.Maps.DustwallowMarsh,
    Data = {
		["color"] = {
			1, -- [1]
			0, -- [2]
			0.9294117647058824, -- [3]
			1, -- [4]
		},
		["length"] = 9221.645834698364,
		["route"] = {
			41531103, -- [1]
			46821507, -- [2]
			40482165, -- [3]
			36771496, -- [4]
		},
	}
}

core.Data.Routes.Cloth.RuneclothBurningSteppes = {
    Name = "RouteRunecloth",
    MapId = core.Maps.BurningSteppes,
    Data = {
		["color"] = {
			1, -- [1]
			0, -- [2]
			0.9372549019607843, -- [3]
			1, -- [4]
		},
		["length"] = 5535.251530682277,
		["route"] = {
			20642780, -- [1]
			27213323, -- [2]
			20864110, -- [3]
			15083562, -- [4]
		},
	}
}

core.Data.Routes.Cloth.MageweaveClothTanaris = {
    Name = "RouteMageweaveCloth",
    MapId = core.Maps.Tanaris,
    Data = {
		["color"] = {
			1, -- [1]
			0.01568627450980392, -- [2]
			0.8745098039215686, -- [3]
			1, -- [4]
		},
		["length"] = 12668.82159196365,
		["route"] = {
			39161470, -- [1]
			43122081, -- [2]
			40082522, -- [3]
			35322150, -- [4]
		},
	}
}

-- TBC

core.Data.Routes.Cloth.NetherweaveClothQuelDanas = {
    Name = "RouteNetherweaveCloth",
    MapId = core.Maps.QuelDanas,
    Data = {
		["color"] = {
			0.9725490196078431, -- [1]
			0, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 5844.732227060213,
		["route"] = {
			39424301, -- [1]
			48014477, -- [2]
			47125725, -- [3]
			38165170, -- [4]
		},
	},
}

-- WotLK

core.Data.Routes.Cloth.FrostweaveClothIcecrown = {
    Name = "RouteFrostweaveCloth",
    MapId = core.Maps.Icecrown,
    Data = {
		["color"] = {
			1, -- [1]
			0, -- [2]
			0.9921568627450981, -- [3]
			1, -- [4]
		},
		["length"] = 11015.44260217742,
		["route"] = {
			52958697, -- [1]
			49998200, -- [2]
			48268694, -- [3]
			50389066, -- [4]
		},
	}
}

-- Cata

core.Data.Routes.Cloth.EmbersilkClothTwilightHighlands = {
    Name = "RouteEmbersilkCloth",
    MapId = core.Maps.TwilightHighlands,
    Data = {
		["color"] = {
			0.9803921568627451, -- [1]
			0, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 9258.932225279032,
		["route"] = {
			32426400, -- [1]
			34546735, -- [2]
			31737077, -- [3]
			28526922, -- [4]
		},
	}
}

-- MOP

core.Data.Routes.Cloth.WindwoolCloth = {
    Name = "RouteWindwoolCloth",
    MapId = core.Maps.TownlongSteppes,
    Data = {
		["color"] = {
			1, -- [1]
			0, -- [2]
			0.9215686274509803, -- [3]
			1, -- [4]
		},
		["length"] = 10088.91579275785,
		["route"] = {
			22193866, -- [1]
			25964359, -- [2]
			21505492, -- [3]
			16904229, -- [4]
		},
	}
}

-- Legion

core.Data.Routes.Cloth.ShalDoreiSilkHighmountain = {
    Name = "RouteShalDoreiSilk",
    MapId = core.Maps.Highmountain,
    Data = {
		["color"] = {
			1, -- [1]
			0, -- [2]
			0.9725490196078431, -- [3]
			1, -- [4]
		},
		["length"] = 12418.5469754023,
		["route"] = {
			56785846, -- [1]
			58906141, -- [2]
			58536661, -- [3]
			54206486, -- [4]
			54705918, -- [5]
		},
	}
}

-- BFA

core.Data.Routes.Cloth.TidesprayLinenStormsongValley = {
    Name = "RouteTidesprayLinen",
    MapId = core.Maps.StormsongValley,
    Data = {
		["color"] = {
			1, -- [1]
			0, -- [2]
			0.9372549019607843, -- [3]
			1, -- [4]
		},
		["length"] = 9970.420378047644,
		["route"] = {
			36052737, -- [1]
			37513032, -- [2]
			34303586, -- [3]
			29913090, -- [4]
		},
	}
}

core.Data.Routes.Cloth.GildedSeaweaveNazjatar = {
    Name = "RouteGildedSeaweave",
    MapId = core.Maps.Nazjatar,
    Data = {
		["color"] = {
			1, -- [1]
			0, -- [2]
			0.9921568627450981, -- [3]
			1, -- [4]
		},
		["length"] = 7491.456615745014,
		["route"] = {
			63255252, -- [1]
			64055705, -- [2]
			59566002, -- [3]
			56645645, -- [4]
		},
	}
}


-- Dragonflight

core.Data.Routes.Cloth.Wildercloth = {
    Name = "RouteWildercloth",
    MapId = core.Maps.TheAzureSpan,
    Data = {
		["color"] = {
						1, -- [1]
						0.04313725605607033, -- [2]
						0, -- [3]
						1, -- [4]
		},
		["length"] = 19123.93513538704,
		["route"] = {
						9983806, -- [1]
						11704448, -- [2]
						8194457, -- [3]
		},
	}
}














